#!/usr/bin/perl
# -*- mode: cperl; indent-tabs-mode: nil; tab-width: 3; cperl-indent-level: 3; -*-
use utf8;
BEGIN { $| = 1; }
use Cwd 'realpath';
use warnings;
use strict;
use DB_File;
use DBM_Filter;
use Encode;

my $root = '';
my $bindir = '';
my $etcdir = '';
my $lexdir = '';

($root) = $0 =~ /^(.*)\/[^\/]*/;
$root = realpath($root);
$ENV{DANGRAM_ROOT} = $ENV{GERGRAM_ROOT} = $root;
$ENV{DANGRAM_BIN} = $ENV{GERGRAM_BIN} = $bindir = $root.'/bin';
$ENV{DANGRAM_ETC} = $ENV{GERGRAM_ETC} = $etcdir = $root.'/etc';
$ENV{DANGRAM_LEX} = $ENV{GERGRAM_LEX} = $lexdir = $root.'/lex';
$ENV{DANGRAM_USEDB} = $ENV{GERGRAM_USEDB} = 1;
$ENV{PATH} = $bindir.":".$ENV{PATH};
$ENV{LANGUAGE} = $ENV{LANG} = $ENV{LC_ALL} = 'en_DK.UTF-8';
$ENV{PERL_UNICODE} = 'SDAL';

my $cmdline = '';
$cmdline .= "$bindir/ger.pre2";
$cmdline .= "| $bindir/germorf";
$cmdline .= "| $bindir/ger.post";
$cmdline .= "| $bindir/cg2adapt.ger";
$cmdline .= "| vislcg3 -C UTF-8 --grammar $etcdir/deucg.morf.cg3b --sections 6";
$cmdline .= "| $bindir/joinall.da";
$cmdline .= "| $bindir/cleanmorf.ger";
$cmdline .= "| vislcg3 -C UTF-8 --grammar $etcdir/deucg.syn.cg3b";
$cmdline .= "| vislcg3 -C UTF-8 --grammar $etcdir/deucg.attach.cg3b --prefix '£'";
$cmdline .= "| $bindir/line.vislcg";
$cmdline .= "| $bindir/niceline.perl";
$cmdline .= "| $bindir/uppercase.perl";
$cmdline .= "| $bindir/remove_secondary.ger --corpus";
$cmdline .= "| $bindir/cg2dep de";

#print STDERR $cmdline."\n";

open PIPE, "$cmdline|" or die $!;
while (<PIPE>) {
	print;
}
close PIPE;
